/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file main.cpp
    \brief Desktop widget's main file
    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#include "MainWidget.h"
#include <QtGui/QApplication>
#include <X11/extensions/Xrender.h>


int main(int argc, char *argv[]) {

    Display *dpy = XOpenDisplay(0); // open default display
    if (!dpy) {
        qWarning("Cannot connect to the X server");
        exit(1);
    }

    QApplication a(dpy, argc, argv);

    QString locale = QLocale::system().name();

    QTranslator translator;

    if(!translator.load("://desktopWidget/translations/" + locale)) {
        translator.load("://desktopWidget/translations/en_US");
    }

    QCoreApplication::installTranslator(&translator);

    QApplication::setOrganizationName("Comarch S.A.");
    QApplication::setOrganizationDomain("comarch.com");
    QApplication::setApplicationName("mDictionaryWidget");

    HomeWidget w;

    w.show();

    return a.exec();
}
