/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file DictDialog.h
    \brief Interface for plugin dialog provider

    \author Mateusz Półrola <mateusz.polrola@comarch.com>
*/


//Created by Mateusz Półrola

#ifndef DICTDIALOG_H
#define DICTDIALOG_H

#include <QObject>
#include "Notify.h"

class Settings;

//! Interface for plugin dialog provider
class DictDialog : public QObject {
    Q_OBJECT

public:
    DictDialog(QObject *parent = 0) : QObject(parent) {}

    /*!
      Shows "add a new dictionary" dialog and returns settings of a new dict
      \param parent parent widget on which the dialog will be displayed
      */
    virtual Settings* addNewDictionary(QWidget*parent=0)=0;

    /*!
      Shows "settings" dialog and saves new settings in plugin
      \param parent parent widget on which the dialog will be displayed
      */
    virtual void changeSettings(QWidget *parent = 0) = 0;

Q_SIGNALS:
    void notify(Notify::NotifyType, QString);
};

#endif // DICTDIALOG_H
