/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file BookmarksWidget.h
    \brief Implements bookmarks management widget. Allows user to show all
           or remove all bookmarks

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef BOOKMARKSWIDGET_H
#define BOOKMARKSWIDGET_H

#include <QDialog>
#include <QtGui>
#include "../../include/GUIInterface.h"

class BookmarksWidget : public QDialog
{
    Q_OBJECT
public:
    explicit BookmarksWidget(GUIInterface *parent = 0);


Q_SIGNALS:
    void showAllBookmarks();
    void removeAllBookmarks();


private:
    QPushButton* showAllBookmarksPushButton;
    QPushButton* removeAllBookmarksPushButton;
    QVBoxLayout* verticalLayout;

};

#endif // BOOKMARKSWIDGET_H
