/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file TranslationView.h
    \brief Web view with translations

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef TRANSLATIONVIEW_H
#define TRANSLATIONVIEW_H

#include <QTextEdit>
#include <QAction>
#include <QWebView>
#include <QEvent>

class TranslationWidget;

class TranslationView : public QWebView
{
    Q_OBJECT
public:
    explicit TranslationView(QWidget *parent = 0);

public Q_SLOTS:
    void zoomIn();
    void zoomOut();
    void copy();
    void selection();
    void selectAll();

Q_SIGNALS:
    void search();
    void copyAvailable(bool);

protected:
    void contextMenuEvent(QContextMenuEvent *);
    void wheelEvent(QWheelEvent *);

private:
    QAction* searchSelectedAction;
    QAction* copySelectedAction;
    QAction* selectAllAction;
    TranslationWidget* realParent;
    bool mousePressed;
    bool eventFilter(QObject *, QEvent *);

};

#endif // TRANSLATIONVIEW_H
