/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file StarDictReaderFactory.cpp
    \brief Class used to creating StarDictReader objects, based on filename it creates

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
 */

#include "StarDictReaderFactory.h"
#include "CompressedReader.h"
#include "UncompressedReader.h"
#include <QDebug>


StarDictReader* StarDictReaderFactory::createReader(QString filename) {
    if(filename.endsWith(".gz", Qt::CaseInsensitive) ||
             filename.endsWith(".dz", Qt::CaseInsensitive))
        return new CompressedReader(filename);
    else
        return new UncompressedReader(filename);
}

