/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file TranslationXdxf.cpp
    \brief Implementation of xdxf plugin's translation.

    \author Jakub Jaszczynski <j.j.jaszczynski@gmail.com>
*/

#include "TranslationXdxf.h"
#include <QDebug>

TranslationXdxf::TranslationXdxf():_key(""),_dictionaryInfo("") {
    xdxfPlugin=0;
}


TranslationXdxf::TranslationXdxf(QString _key, QString _dictionaryInfo,
         XdxfPlugin *xdxfPlugin): _key(_key),_dictionaryInfo(_dictionaryInfo) {
    this->xdxfPlugin=xdxfPlugin;
    if(xdxfPlugin)
        _dictHash = xdxfPlugin->hash();
    _bookmark=0;
}


QString TranslationXdxf::key() const {
    return _key;
}


QString TranslationXdxf::toXml() const { 
    QString result("");
    if(!xdxfPlugin)
        return result;

    result=result + "<dict> <info path=\"/usr/share/mdictionary/xdxf.png\" ";
    if(isBookmark())
        result+= " bookmark=\"true\" > \n";
    else
        result+= " bookmark=\"false\" > \n";
    result+= _dictionaryInfo + "</info>" + xdxfPlugin->search(_key) + "</dict>";
    return result.replace("&","&amp;");
}


void TranslationXdxf::setKey(QString _key) {
    this->_key=_key;
}


void TranslationXdxf::setDictionaryInfo(QString _dictionaryInfo) {
    this->_dictionaryInfo=_dictionaryInfo;
}
