/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file XdxfDictDownloadProgressDialog.h
    \brief Shows downloading progress bar.

    \author Mateusz Półrola <mateusz.polrola@comarch.com>
*/

#ifndef XDXFDICTDOWNLOADPROGRESSDIALOG_H
#define XDXFDICTDOWNLOADPROGRESSDIALOG_H

#include <QDialog>
#include <QtGui>

/*!
    Shows downloading progress bar. Currently it displays "busy bar".
    User can cancel current download by pressing cancel button
*/
class XdxfDictDownloadProgressDialog : public QDialog {
    Q_OBJECT
public:
    XdxfDictDownloadProgressDialog(QWidget *parent = 0);

public Q_SLOTS:
    //! Reimplemented to block rejecting on maemo. User must cancel.
    void reject();

    //! Set text which will be displayed to user as info about current download
    void setText(QString);

    /*!
        set parameters of prograsBar(wher "prograss"*100 is value,
        and maxValue=100
    */
    void updateProgress(float progress);

    void show();

Q_SIGNALS:
    //! signal emitted when user cancels downloading of a dictionary
    void cancelDownloading();

private:
    QLabel* downloadLabel;
    QProgressBar* downloadProgressBar;
    QPushButton* cancelButton;
    QVBoxLayout* verticalLayout;
};

#endif // XDXFDICTDOWNLOADPROGRESSDIALOG_H
